ion-header {
  width: 100vw;
  height: 31vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  box-shadow: inset 0px -20px 50px 5px rgba(0, 0, 0, 0.5);

  ion-toolbar {
    --background: transparent;
  }
}

ion-grid {
  padding: 2vh 4vw 2vh 4vw;

  .row-film {
    height: 29vh;

    .col-film {
      padding-left: 0;

      .film-image {
        height: 25vh;
        width: 30vw;
      }
    }
  }
}

.film-info {
  h1,
  h2 {
    margin-top: 0;
    margin-bottom: 1vh;
  }

  h1 {
    font-size: 1.1rem;

  }

  .rating {
    h2 {
      margin: 0 0 0 1vw;
      display: inline-block;
      font-size: 1rem;
    }
  }
}

.film-genres {
  margin-top: 5px;

  .genres-row1 {
    ion-chip  {
      justify-content: center;
      margin-left: 0;
      margin-right: 2vw;
      height: 4vh;
      width: 15vw;
      border-radius: 4px;
      padding: 2px;
      font-size: 0.7rem;
    }
  }
}

.film-year-duration {
  h6 {
    font-size: 0.8rem;
  }
}

.col-stats {
  padding-top: 0;

  .stats-buttons {
    ion-button {
      width: 19vw;
      height: 7vh;
      font-size: 0.5rem;

      ion-col {
        padding: 0;

        ion-row {
          color: #fff;
          align-items: center;
          justify-content: center;
          margin-bottom: 0.3rem;

          ion-icon {
            font-size: 1.4rem;
            margin-right: 0.4rem;
          }

          p {
            margin: 0;
            font-size: 0.60rem;
          }
        }
      }
    }
  }
}

.film-resume {
  p {
    margin: 1vh 0 0 0;
    font-size: 0.9rem;
  }
}

.partition {
  background: #828282;
  height: 1px;
  margin-top: 1vh;
}

.row-review-text {
  .col-review-text {
    p {
      margin: 0 0 1vh 0;
      font-size: 1rem;
    }
  }
}

.buttons {
  text-align: right;
}

.aaaaaaa {
  height: 5vh;
}
